
Redmine - Defect #33563

File selection buttons are not fully displayed with Google Chrome in some language

2020-06-06 10:38 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.1.2   

Resolution: Fixed Affected version: 4.1.0

Description

The bottom part of file upload buttons is cropped if you use the latest version of Google Chrome in some language mode such as

Japanese and Chinese. Attached a patch that fixes the issue.

Current:

Look at the "选择文件" (Choose Files) button. The bottom border is not displayed.

 chrome-zh-before.png 

After applying the patch:

 chrome-zh-after.png 

Related issues:

Related to Redmine - Defect #33723: File name is displayed over the clip icon... Closed

Has duplicate Redmine - Patch #34650: Button browse fix Closed

Associated revisions

Revision 19815 - 2020-06-11 15:45 - Go MAEDA

File selection buttons are not fully displayed with Google Chrome in some language (#33563).

Patch by Go MAEDA.

Revision 19816 - 2020-06-11 15:47 - Go MAEDA

Merged r19815 from trunk to 4.1-stable (#33563).

Revision 20029 - 2020-09-14 10:39 - Go MAEDA

Reverts r19815 (#33563).

It caused another UI issue that a file name is displayed over the clip icon in new/edit forms.

Revision 20030 - 2020-09-14 10:43 - Go MAEDA

Reverts r19816 (#33563).

Revision 20031 - 2020-09-14 10:51 - Go MAEDA

File selection buttons are not fully displayed with Google Chrome in some language (#33563).

Patch by Go MAEDA.

Revision 20036 - 2020-09-17 13:04 - Go MAEDA

Merged r20031 from trunk to 4.1-stable (#33563).

History

#1 - 2020-06-07 04:43 - Go MAEDA

- Target version set to Candidate for next minor release

#2 - 2020-06-09 07:49 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.2

- Affected version set to 4.1.0
Setting the target version to 4.1.2.

#3 - 2020-06-11 15:47 - Go MAEDA

- Subject changed from Google Chrome in some language mode don't fully display file selection buttons to File selection buttons are not fully displayed

with Google Chrome in some language

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#4 - 2020-09-12 10:29 - Go MAEDA

- Related to Defect #33723: File name is displayed over the clip icon in new/edit forms added

#5 - 2020-09-12 11:18 - Go MAEDA

- Status changed from Closed to Reopened

r19815 caused issue #33723.

It should be reverted to fix #33723 and the following patch should be committed instead. See #33723#note-8 for the detail.

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index 891faf69a..a5fa24da5 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -479,7 +479,7 @@ select {

   background-position: calc(100% - 7px) 50%;

   padding-right: 20px;

 }

-input[type="file"] {border: 0; padding-left: 0; padding-right: 0; background-color: initial; }

+input[type="file"] {border: 0; padding-left: 0; padding-right: 0; height: initial; background-color: initial;

 }

 input[type="submit"], button[type="submit"] {

   -webkit-appearance: button;

   cursor: pointer;

#6 - 2020-09-14 10:52 - Go MAEDA

- Status changed from Reopened to Resolved

Go MAEDA wrote:

r19815 caused issue #33723.

It should be reverted to fix #33723 and the following patch should be committed instead. See #33723#note-8 for the detail.

[...]

 Committed the fix in r20031.

#7 - 2020-09-17 13:04 - Go MAEDA

- Status changed from Resolved to Closed

#8 - 2021-03-15 14:01 - Bernhard Rohloff

- Related to Patch #34650: Button browse fix added

#9 - 2021-03-15 14:02 - Bernhard Rohloff

- Related to deleted (Patch #34650: Button browse fix)

#10 - 2021-03-15 14:02 - Bernhard Rohloff

- Has duplicate Patch #34650: Button browse fix added
https://www.redmine.org/projects/redmine/repository/svn/revisions/19815
https://www.redmine.org/issues/33723
https://www.redmine.org/issues/33723
https://www.redmine.org/issues/33723#note-8
https://www.redmine.org/projects/redmine/repository/svn/revisions/19815
https://www.redmine.org/issues/33723
https://www.redmine.org/issues/33723
https://www.redmine.org/issues/33723#note-8
https://www.redmine.org/projects/redmine/repository/svn/revisions/20031
fix-chrome-file-button.patch 737 Bytes 2020-06-06 Go MAEDA
